[arch-commits] Commit in fontsproto/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 02:57:28 EDT 2009


    Date: Saturday, April 4, 2009 @ 02:57:27
  Author: eric
Revision: 33078

Merged revisions 356,33071 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/fontsproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r33071 | eric | 2009-04-04 02:36:00 -0400 (Sat, 04 Apr 2009) | 2 lines
  
  upgpkg: fontsproto 2.0.2-2
      Added license
........

Modified:
  fontsproto/repos/extra-i686/	(properties)
  fontsproto/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: fontsproto/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /fontsproto/trunk:1
   + /fontsproto/trunk:1-33077

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-04 06:52:50 UTC (rev 33077)
+++ extra-i686/PKGBUILD	2009-04-04 06:57:27 UTC (rev 33078)
@@ -3,17 +3,19 @@
 
 pkgname=fontsproto
 pkgver=2.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 font extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('c946f166107b016a21cc7a02e1132724')
 sha1sums=('1244f63bd90668c7ddc88febbf4a220fd83ea492')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list